import request from '@/utils/wms-request'

// 查询快速盘点列表
export function listInvQuick(query) {
	return request({
		url: '/stock/invQuick/list',
		method: 'get',
		params: query
	})
}

// 高级查询快速盘点列表
export function advListInvQuick(query) {
	return request({
		url: '/stock/invQuick/advList',
		method: 'get',
		params: query
	})
}

// 查询快速盘点详细
export function getInvQuick(id) {
	return request({
		url: '/stock/invQuick/' + id,
		method: 'get'
	})
}

// 新增快速盘点
export function addInvQuick(data) {
	return request({
		url: '/stock/invQuick',
		method: 'post',
		data: data
	})
}

// 修改快速盘点
export function updateInvQuick(data) {
	return request({
		url: '/stock/invQuick',
		method: 'put',
		data: data
	})
}

// 删除快速盘点
export function delInvQuick(id) {
	return request({
		url: '/stock/invQuick/' + id,
		method: 'delete'
	})
}

// 查询快速盘点库存信息
export function listQuickInvStockInfo(query) {
	return request({
		url: '/stock/invQuick/listQuickInvStockInfo',
		method: 'get',
		params: query
	})
}

// 快速盘点更新库存
export function invQuickUpdateStock(data) {
	return request({
		url: '/stock/invQuick/invQuickUpdateStock',
		method: 'post',
		data: data
	})
}

// 期初快速盘点库存信息
export function listPreInvStockInfo(query) {
	return request({
		url: '/stock/invQuick/listPreInvStockInfo',
		method: 'get',
		params: query
	})
}

// 期初快速盘点更新库存
export function preInvUpdateStock(data) {
	return request({
		url: '/stock/invQuick/preInvUpdateStock',
		method: 'post',
		data: data
	})
}